window.onload = function(){
    document.getElementById("Play").addEventListener("click", Play, false);
    document.getElementById("Pause").addEventListener("click", Pause, false);
    document.getElementById("Reset").addEventListener("click", Reset, false);
    document.getElementById("Mute").addEventListener("click", Mute, false);
    document.getElementById("myAudio").addEventListener("timeupdate", TimeUpdate, true);
}

function Play(){
    var audioSource = document.getElementById("myAudio")
    audioSource.play();
}

function Pause(){
    var audioSource = document.getElementById("myAudio")
    audioSource.pause();
}

function Reset(){
    var audioSource = document.getElementById("myAudio")
    audioSource.pause();
    audioSource.currentTime = 0;
}

function Mute(){
    var audioSource = document.getElementById("myAudio")
    if(audioSource.muted){
    audioSource.muted = false;
    }else{
    audioSource.muted = true;
    }
}

function TimeUpdate() {
    var audioSource = document.getElementById("myAudio")
    var t = Math.floor(audioSource.currentTime);
    document.getElementById('CurrentTime').innerHTML = t + 's';
}
